This documentation is for a release that is no longer maintained.
You can select a different version or view all RHACS documentation.API reference
API Reference guide for Red Hat Advanced Cluster Security for Kubernetes.
Abstract
Chapter 1. Administration Event Service Copy linkLink copied to clipboard!
1.1. Administration Event Service Copy linkLink copied to clipboard!
1.1.1. CountAdministrationEvents Copy linkLink copied to clipboard!
GET /v1/count/administration/events
CountAdministrationEvents returns the number of events after filtering by requested fields.
1.1.1.1. Description Copy linkLink copied to clipboard!
1.1.1.2. Parameters Copy linkLink copied to clipboard!
1.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| filter.from | Matches events with last_occurred_at after a specific timestamp, i.e. the lower boundary. | - | null | |
| filter.until | Matches events with last_occurred_at before a specific timestamp, i.e. the upper boundary. | - | null | |
| filter.domain |
Matches events from a specific domain. | - | null | |
| filter.resourceType |
Matches events associated with a specific resource type. | - | null | |
| filter.type |
Matches events based on their type. | - | null | |
| filter.level |
Matches events based on their level. | - | null |
1.1.1.3. Return Type Copy linkLink copied to clipboard!
1.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
1.1.1.6. Samples Copy linkLink copied to clipboard!
1.1.2. GetAdministrationEvent Copy linkLink copied to clipboard!
GET /v1/administration/events/{id}
GetAdministrationEvent retrieves an event by ID.
1.1.2.1. Description Copy linkLink copied to clipboard!
1.1.2.2. Parameters Copy linkLink copied to clipboard!
1.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
1.1.2.3. Return Type Copy linkLink copied to clipboard!
1.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
1.1.2.6. Samples Copy linkLink copied to clipboard!
1.1.3. ListAdministrationEvents Copy linkLink copied to clipboard!
GET /v1/administration/events
ListAdministrationEvents returns the list of events after filtered by requested fields.
1.1.3.1. Description Copy linkLink copied to clipboard!
1.1.3.2. Parameters Copy linkLink copied to clipboard!
1.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null | ||
| filter.from | Matches events with last_occurred_at after a specific timestamp, i.e. the lower boundary. | - | null | |
| filter.until | Matches events with last_occurred_at before a specific timestamp, i.e. the upper boundary. | - | null | |
| filter.domain |
Matches events from a specific domain. | - | null | |
| filter.resourceType |
Matches events associated with a specific resource type. | - | null | |
| filter.type |
Matches events based on their type. | - | null | |
| filter.level |
Matches events based on their level. | - | null |
1.1.3.3. Return Type Copy linkLink copied to clipboard!
1.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
1.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
1.1.3.6. Samples Copy linkLink copied to clipboard!
Chapter 2. Administration Usage Service Copy linkLink copied to clipboard!
2.1. Administration Usage Service Copy linkLink copied to clipboard!
2.1.1. GetCurrentSecuredUnitsUsage Copy linkLink copied to clipboard!
GET /v1/administration/usage/secured-units/current
GetCurrentSecuredUnitsUsage returns the current secured units usage metrics values.
2.1.1.1. Description Copy linkLink copied to clipboard!
The secured units metrics are collected from all connected clusters every 5 minutes, so the returned result includes data for the connected clusters accurate to about these 5 minutes, and potentially some outdated data for the disconnected clusters.
2.1.1.2. Parameters Copy linkLink copied to clipboard!
2.1.1.3. Return Type Copy linkLink copied to clipboard!
2.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
2.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
2.1.1.6. Samples Copy linkLink copied to clipboard!
2.1.2. GetMaxSecuredUnitsUsage Copy linkLink copied to clipboard!
GET /v1/administration/usage/secured-units/max
GetMaxSecuredUnitsUsage returns the maximum, i.e. peak, secured units usage observed during a given time range, together with the time when this maximum was aggregated and stored.
2.1.2.1. Description Copy linkLink copied to clipboard!
The usage metrics are continuously collected from all the connected clusters. The maximum values are kept for some period of time in memory, and then, periodically, are stored to the database. The last data from disconnected clusters are taken into account.
2.1.2.2. Parameters Copy linkLink copied to clipboard!
2.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| from | - | null | ||
| to | - | null |
2.1.2.3. Return Type Copy linkLink copied to clipboard!
2.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
2.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
2.1.2.6. Samples Copy linkLink copied to clipboard!
Chapter 3. Alert Service Copy linkLink copied to clipboard!
3.1. Alert Service Copy linkLink copied to clipboard!
3.1.1. CountAlerts Copy linkLink copied to clipboard!
GET /v1/alertscount
CountAlerts counts how many alerts match the get request.
3.1.1.1. Description Copy linkLink copied to clipboard!
3.1.1.2. Parameters Copy linkLink copied to clipboard!
3.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
3.1.1.3. Return Type Copy linkLink copied to clipboard!
3.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.1.6. Samples Copy linkLink copied to clipboard!
3.1.2. DeleteAlerts Copy linkLink copied to clipboard!
DELETE /v1/alerts
3.1.2.1. Description Copy linkLink copied to clipboard!
3.1.2.2. Parameters Copy linkLink copied to clipboard!
3.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null | ||
| confirm | - | null |
3.1.2.3. Return Type Copy linkLink copied to clipboard!
3.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.2.6. Samples Copy linkLink copied to clipboard!
3.1.3. GetAlert Copy linkLink copied to clipboard!
GET /v1/alerts/{id}
GetAlert returns the alert given its id.
3.1.3.1. Description Copy linkLink copied to clipboard!
3.1.3.2. Parameters Copy linkLink copied to clipboard!
3.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
3.1.3.3. Return Type Copy linkLink copied to clipboard!
3.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.3.6. Samples Copy linkLink copied to clipboard!
3.1.4. GetAlertTimeseries Copy linkLink copied to clipboard!
GET /v1/alerts/summary/timeseries
GetAlertTimeseries returns the alerts sorted by time.
3.1.4.1. Description Copy linkLink copied to clipboard!
3.1.4.2. Parameters Copy linkLink copied to clipboard!
3.1.4.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
3.1.4.3. Return Type Copy linkLink copied to clipboard!
3.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.4.6. Samples Copy linkLink copied to clipboard!
3.1.5. GetAlertsCounts Copy linkLink copied to clipboard!
GET /v1/alerts/summary/counts
GetAlertsCounts returns the number of alerts in the requested cluster or category.
3.1.5.1. Description Copy linkLink copied to clipboard!
3.1.5.2. Parameters Copy linkLink copied to clipboard!
3.1.5.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| request.query | - | null | ||
| request.pagination.limit | - | null | ||
| request.pagination.offset | - | null | ||
| request.pagination.sortOption.field | - | null | ||
| request.pagination.sortOption.reversed | - | null | ||
| request.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| request.pagination.sortOption.aggregateBy.distinct | - | null | ||
| groupBy | - | UNSET |
3.1.5.3. Return Type Copy linkLink copied to clipboard!
3.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.5.6. Samples Copy linkLink copied to clipboard!
3.1.6. GetAlertsGroup Copy linkLink copied to clipboard!
GET /v1/alerts/summary/groups
GetAlertsGroup returns alerts grouped by policy.
3.1.6.1. Description Copy linkLink copied to clipboard!
3.1.6.2. Parameters Copy linkLink copied to clipboard!
3.1.6.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
3.1.6.3. Return Type Copy linkLink copied to clipboard!
3.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.6.6. Samples Copy linkLink copied to clipboard!
3.1.7. ListAlerts Copy linkLink copied to clipboard!
GET /v1/alerts
List returns the slim list version of the alerts.
3.1.7.1. Description Copy linkLink copied to clipboard!
3.1.7.2. Parameters Copy linkLink copied to clipboard!
3.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
3.1.7.3. Return Type Copy linkLink copied to clipboard!
3.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
3.1.7.6. Samples Copy linkLink copied to clipboard!
3.1.8. ResolveAlert Copy linkLink copied to clipboard!
PATCH /v1/alerts/{id}/resolve
ResolveAlert marks the given alert (by ID) as resolved.
3.1.8.1. Description Copy linkLink copied to clipboard!
3.1.8.2. Parameters Copy linkLink copied to clipboard!
3.1.8.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
3.1.8.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
3.1.8.3. Return Type Copy linkLink copied to clipboard!
Object
3.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
3.1.8.6. Samples Copy linkLink copied to clipboard!
3.1.9. ResolveAlerts Copy linkLink copied to clipboard!
PATCH /v1/alerts/resolve
ResolveAlertsByQuery marks alerts matching search query as resolved.
3.1.9.1. Description Copy linkLink copied to clipboard!
3.1.9.2. Parameters Copy linkLink copied to clipboard!
3.1.9.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
3.1.9.3. Return Type Copy linkLink copied to clipboard!
Object
3.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
3.1.9.6. Samples Copy linkLink copied to clipboard!
3.1.10. SnoozeAlert Copy linkLink copied to clipboard!
PATCH /v1/alerts/{id}/snooze
SnoozeAlert is deprecated.
3.1.10.1. Description Copy linkLink copied to clipboard!
3.1.10.2. Parameters Copy linkLink copied to clipboard!
3.1.10.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
3.1.10.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
3.1.10.3. Return Type Copy linkLink copied to clipboard!
Object
3.1.10.4. Content Type Copy linkLink copied to clipboard!
- application/json
3.1.10.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
3.1.10.6. Samples Copy linkLink copied to clipboard!
Chapter 4. APIToken Service Copy linkLink copied to clipboard!
4.1. A P I Token Service Copy linkLink copied to clipboard!
4.1.1. GenerateToken Copy linkLink copied to clipboard!
POST /v1/apitokens/generate
GenerateToken generates API token for a given user and role.
4.1.1.1. Description Copy linkLink copied to clipboard!
4.1.1.2. Parameters Copy linkLink copied to clipboard!
4.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
4.1.1.3. Return Type Copy linkLink copied to clipboard!
4.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
4.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
4.1.1.6. Samples Copy linkLink copied to clipboard!
4.1.2. GetAPIToken Copy linkLink copied to clipboard!
GET /v1/apitokens/{id}
GetAPIToken returns API token metadata for a given id.
4.1.2.1. Description Copy linkLink copied to clipboard!
4.1.2.2. Parameters Copy linkLink copied to clipboard!
4.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
4.1.2.3. Return Type Copy linkLink copied to clipboard!
4.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
4.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
4.1.2.6. Samples Copy linkLink copied to clipboard!
4.1.3. GetAPITokens Copy linkLink copied to clipboard!
GET /v1/apitokens
GetAPITokens returns all the API tokens.
4.1.3.1. Description Copy linkLink copied to clipboard!
4.1.3.2. Parameters Copy linkLink copied to clipboard!
4.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| revoked | - | null |
4.1.3.3. Return Type Copy linkLink copied to clipboard!
4.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
4.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
4.1.3.6. Samples Copy linkLink copied to clipboard!
4.1.4. ListAllowedTokenRoles Copy linkLink copied to clipboard!
GET /v1/apitokens/generate/allowed-roles
GetAllowedTokenRoles return roles that user is allowed to request for API token.
4.1.4.1. Description Copy linkLink copied to clipboard!
4.1.4.2. Parameters Copy linkLink copied to clipboard!
4.1.4.3. Return Type Copy linkLink copied to clipboard!
4.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
4.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
4.1.4.6. Samples Copy linkLink copied to clipboard!
4.1.5. RevokeToken Copy linkLink copied to clipboard!
PATCH /v1/apitokens/revoke/{id}
RevokeToken removes the API token for a given id.
4.1.5.1. Description Copy linkLink copied to clipboard!
4.1.5.2. Parameters Copy linkLink copied to clipboard!
4.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
4.1.5.3. Return Type Copy linkLink copied to clipboard!
Object
4.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
4.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
4.1.5.6. Samples Copy linkLink copied to clipboard!
Chapter 5. Auth Provider Service Copy linkLink copied to clipboard!
5.1. Auth Provider Service Copy linkLink copied to clipboard!
5.1.1. DeleteAuthProvider Copy linkLink copied to clipboard!
DELETE /v1/authProviders/{id}
5.1.1.1. Description Copy linkLink copied to clipboard!
5.1.1.2. Parameters Copy linkLink copied to clipboard!
5.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
5.1.1.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| force | - | null |
5.1.1.3. Return Type Copy linkLink copied to clipboard!
Object
5.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
5.1.1.6. Samples Copy linkLink copied to clipboard!
5.1.2. ExchangeToken Copy linkLink copied to clipboard!
POST /v1/authProviders/exchangeToken
5.1.2.1. Description Copy linkLink copied to clipboard!
5.1.2.2. Parameters Copy linkLink copied to clipboard!
5.1.2.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
5.1.2.3. Return Type Copy linkLink copied to clipboard!
5.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.2.6. Samples Copy linkLink copied to clipboard!
5.1.3. GetAuthProvider Copy linkLink copied to clipboard!
GET /v1/authProviders/{id}
5.1.3.1. Description Copy linkLink copied to clipboard!
5.1.3.2. Parameters Copy linkLink copied to clipboard!
5.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
5.1.3.3. Return Type Copy linkLink copied to clipboard!
5.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.3.6. Samples Copy linkLink copied to clipboard!
5.1.4. GetAuthProviders Copy linkLink copied to clipboard!
GET /v1/authProviders
5.1.4.1. Description Copy linkLink copied to clipboard!
5.1.4.2. Parameters Copy linkLink copied to clipboard!
5.1.4.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| name | - | null | ||
| type | - | null |
5.1.4.3. Return Type Copy linkLink copied to clipboard!
5.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.4.6. Samples Copy linkLink copied to clipboard!
5.1.5. GetLoginAuthProviders Copy linkLink copied to clipboard!
GET /v1/login/authproviders
5.1.5.1. Description Copy linkLink copied to clipboard!
5.1.5.2. Parameters Copy linkLink copied to clipboard!
5.1.5.3. Return Type Copy linkLink copied to clipboard!
5.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.5.6. Samples Copy linkLink copied to clipboard!
5.1.6. ListAvailableProviderTypes Copy linkLink copied to clipboard!
GET /v1/availableAuthProviders
5.1.6.1. Description Copy linkLink copied to clipboard!
5.1.6.2. Parameters Copy linkLink copied to clipboard!
5.1.6.3. Return Type Copy linkLink copied to clipboard!
5.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.6.6. Samples Copy linkLink copied to clipboard!
5.1.7. PostAuthProvider Copy linkLink copied to clipboard!
POST /v1/authProviders
5.1.7.1. Description Copy linkLink copied to clipboard!
5.1.7.2. Parameters Copy linkLink copied to clipboard!
5.1.7.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| provider | X |
5.1.7.3. Return Type Copy linkLink copied to clipboard!
5.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.7.6. Samples Copy linkLink copied to clipboard!
5.1.8. PutAuthProvider Copy linkLink copied to clipboard!
PUT /v1/authProviders/{id}
5.1.8.1. Description Copy linkLink copied to clipboard!
5.1.8.2. Parameters Copy linkLink copied to clipboard!
5.1.8.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
5.1.8.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
5.1.8.3. Return Type Copy linkLink copied to clipboard!
5.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.8.6. Samples Copy linkLink copied to clipboard!
5.1.9. UpdateAuthProvider Copy linkLink copied to clipboard!
PATCH /v1/authProviders/{id}
5.1.9.1. Description Copy linkLink copied to clipboard!
5.1.9.2. Parameters Copy linkLink copied to clipboard!
5.1.9.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
5.1.9.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
5.1.9.3. Return Type Copy linkLink copied to clipboard!
5.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
5.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
5.1.9.6. Samples Copy linkLink copied to clipboard!
Chapter 6. Auth Service Copy linkLink copied to clipboard!
6.1. Auth Service Copy linkLink copied to clipboard!
6.1.1. AddAuthMachineToMachineConfig Copy linkLink copied to clipboard!
POST /v1/auth/m2m
AddAuthMachineToMachineConfig creates a new auth machine to machine config.
6.1.1.1. Description Copy linkLink copied to clipboard!
6.1.1.2. Parameters Copy linkLink copied to clipboard!
6.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
6.1.1.3. Return Type Copy linkLink copied to clipboard!
6.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
6.1.1.6. Samples Copy linkLink copied to clipboard!
6.1.2. DeleteAuthMachineToMachineConfig Copy linkLink copied to clipboard!
DELETE /v1/auth/m2m/{id}
DeleteAuthMachineToMachineConfig deletes the specific auth machine to machine config. In case a specified auth machine to machine config does not exist is deleted, no error will be returned.
6.1.2.1. Description Copy linkLink copied to clipboard!
6.1.2.2. Parameters Copy linkLink copied to clipboard!
6.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
6.1.2.3. Return Type Copy linkLink copied to clipboard!
Object
6.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
6.1.2.6. Samples Copy linkLink copied to clipboard!
6.1.3. ExchangeAuthMachineToMachineToken Copy linkLink copied to clipboard!
POST /v1/auth/m2m/exchange
ExchangeAuthMachineToMachineToken exchanges a given identity token for a Central access token based on configured auth machine to machine configs.
6.1.3.1. Description Copy linkLink copied to clipboard!
6.1.3.2. Parameters Copy linkLink copied to clipboard!
6.1.3.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
6.1.3.3. Return Type Copy linkLink copied to clipboard!
6.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
6.1.3.6. Samples Copy linkLink copied to clipboard!
6.1.4. GetAuthMachineToMachineConfig Copy linkLink copied to clipboard!
GET /v1/auth/m2m/{id}
GetAuthMachineToMachineConfig retrieves the specific auth machine to machine config.
6.1.4.1. Description Copy linkLink copied to clipboard!
6.1.4.2. Parameters Copy linkLink copied to clipboard!
6.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
6.1.4.3. Return Type Copy linkLink copied to clipboard!
6.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
6.1.4.6. Samples Copy linkLink copied to clipboard!
6.1.5. GetAuthStatus Copy linkLink copied to clipboard!
GET /v1/auth/status
GetAuthStatus returns the status for the current client.
6.1.5.1. Description Copy linkLink copied to clipboard!
6.1.5.2. Parameters Copy linkLink copied to clipboard!
6.1.5.3. Return Type Copy linkLink copied to clipboard!
6.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
6.1.5.6. Samples Copy linkLink copied to clipboard!
6.1.6. ListAuthMachineToMachineConfigs Copy linkLink copied to clipboard!
GET /v1/auth/m2m
ListAuthMachineToMachineConfigs lists the available auth machine to machine configs.
6.1.6.1. Description Copy linkLink copied to clipboard!
6.1.6.2. Parameters Copy linkLink copied to clipboard!
6.1.6.3. Return Type Copy linkLink copied to clipboard!
6.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
6.1.6.6. Samples Copy linkLink copied to clipboard!
6.1.7. UpdateAuthMachineToMachineConfig Copy linkLink copied to clipboard!
PUT /v1/auth/m2m/{config.id}
UpdateAuthMachineToMachineConfig updates an existing auth machine to machine config. In case the auth machine to machine config does not exist, a new one will be created.
6.1.7.1. Description Copy linkLink copied to clipboard!
6.1.7.2. Parameters Copy linkLink copied to clipboard!
6.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| config.id | UUID of the config. Note that when adding a machine to machine config, this field should not be set. | X | null |
6.1.7.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
6.1.7.3. Return Type Copy linkLink copied to clipboard!
Object
6.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
6.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
6.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 7. Central Health Service Copy linkLink copied to clipboard!
7.1. Central Health Service Copy linkLink copied to clipboard!
7.1.1. GetUpgradeStatus Copy linkLink copied to clipboard!
GET /v1/centralhealth/upgradestatus
7.1.1.1. Description Copy linkLink copied to clipboard!
7.1.1.2. Parameters Copy linkLink copied to clipboard!
7.1.1.3. Return Type Copy linkLink copied to clipboard!
7.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
7.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
7.1.1.6. Samples Copy linkLink copied to clipboard!
Chapter 8. Cloud Sources Service Copy linkLink copied to clipboard!
8.1. Cloud Sources Service Copy linkLink copied to clipboard!
8.1.1. CountCloudSources Copy linkLink copied to clipboard!
GET /v1/count/cloud-sources
CountCloudSources returns the number of cloud sources after filtering by requested fields.
8.1.1.1. Description Copy linkLink copied to clipboard!
8.1.1.2. Parameters Copy linkLink copied to clipboard!
8.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| filter.names |
Matches cloud sources based on their name. | - | null | |
| filter.types |
Matches cloud sources based on their type. | - | null |
8.1.1.3. Return Type Copy linkLink copied to clipboard!
8.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.1.1.6. Samples Copy linkLink copied to clipboard!
8.1.2. CreateCloudSource Copy linkLink copied to clipboard!
POST /v1/cloud-sources
CreateCloudSource creates a cloud source.
8.1.2.1. Description Copy linkLink copied to clipboard!
8.1.2.2. Parameters Copy linkLink copied to clipboard!
8.1.2.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.1.2.3. Return Type Copy linkLink copied to clipboard!
8.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.1.2.6. Samples Copy linkLink copied to clipboard!
8.1.3. DeleteCloudSource Copy linkLink copied to clipboard!
DELETE /v1/cloud-sources/{id}
DeleteCloudSource removes a cloud source.
8.1.3.1. Description Copy linkLink copied to clipboard!
8.1.3.2. Parameters Copy linkLink copied to clipboard!
8.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
8.1.3.3. Return Type Copy linkLink copied to clipboard!
Object
8.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.1.3.6. Samples Copy linkLink copied to clipboard!
8.1.4. GetCloudSource Copy linkLink copied to clipboard!
GET /v1/cloud-sources/{id}
GetCloudSource retrieves a cloud source by ID.
8.1.4.1. Description Copy linkLink copied to clipboard!
8.1.4.2. Parameters Copy linkLink copied to clipboard!
8.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
8.1.4.3. Return Type Copy linkLink copied to clipboard!
8.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.1.4.6. Samples Copy linkLink copied to clipboard!
8.1.5. ListCloudSources Copy linkLink copied to clipboard!
GET /v1/cloud-sources
ListCloudSources returns the list of cloud sources after filtered by requested fields.
8.1.5.1. Description Copy linkLink copied to clipboard!
8.1.5.2. Parameters Copy linkLink copied to clipboard!
8.1.5.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null | ||
| filter.names |
Matches cloud sources based on their name. | - | null | |
| filter.types |
Matches cloud sources based on their type. | - | null |
8.1.5.3. Return Type Copy linkLink copied to clipboard!
8.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.1.5.6. Samples Copy linkLink copied to clipboard!
8.1.6. TestCloudSource Copy linkLink copied to clipboard!
POST /v1/cloud-sources/test
TestCloudSource tests a cloud source.
8.1.6.1. Description Copy linkLink copied to clipboard!
8.1.6.2. Parameters Copy linkLink copied to clipboard!
8.1.6.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.1.6.3. Return Type Copy linkLink copied to clipboard!
Object
8.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.1.6.6. Samples Copy linkLink copied to clipboard!
8.1.7. UpdateCloudSource Copy linkLink copied to clipboard!
PUT /v1/cloud-sources/{cloudSource.id}
UpdateCloudSource creates or replaces a cloud source.
8.1.7.1. Description Copy linkLink copied to clipboard!
8.1.7.2. Parameters Copy linkLink copied to clipboard!
8.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| cloudSource.id | X | null |
8.1.7.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.1.7.3. Return Type Copy linkLink copied to clipboard!
Object
8.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 9. Cluster CVEService Copy linkLink copied to clipboard!
9.1. Cluster C V E Service Copy linkLink copied to clipboard!
9.1.1. SuppressCVEs Copy linkLink copied to clipboard!
PATCH /v1/clustercves/suppress
SuppressCVE suppresses cluster cves.
9.1.1.1. Description Copy linkLink copied to clipboard!
9.1.1.2. Parameters Copy linkLink copied to clipboard!
9.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
9.1.1.3. Return Type Copy linkLink copied to clipboard!
Object
9.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
9.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
9.1.1.6. Samples Copy linkLink copied to clipboard!
9.1.2. UnsuppressCVEs Copy linkLink copied to clipboard!
PATCH /v1/clustercves/unsuppress
UnsuppressCVE unsuppresses cluster cves.
9.1.2.1. Description Copy linkLink copied to clipboard!
9.1.2.2. Parameters Copy linkLink copied to clipboard!
9.1.2.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
9.1.2.3. Return Type Copy linkLink copied to clipboard!
Object
9.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
9.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
9.1.2.6. Samples Copy linkLink copied to clipboard!
Chapter 10. Cluster Init Service Copy linkLink copied to clipboard!
10.1. Cluster Init Service Copy linkLink copied to clipboard!
10.1.1. GenerateCRS Copy linkLink copied to clipboard!
POST /v1/cluster-init/crs
10.1.1.1. Description Copy linkLink copied to clipboard!
10.1.1.2. Parameters Copy linkLink copied to clipboard!
10.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
10.1.1.3. Return Type Copy linkLink copied to clipboard!
10.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.1.6. Samples Copy linkLink copied to clipboard!
10.1.2. GenerateInitBundle Copy linkLink copied to clipboard!
POST /v1/cluster-init/init-bundles
10.1.2.1. Description Copy linkLink copied to clipboard!
10.1.2.2. Parameters Copy linkLink copied to clipboard!
10.1.2.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
10.1.2.3. Return Type Copy linkLink copied to clipboard!
10.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.2.6. Samples Copy linkLink copied to clipboard!
10.1.3. GetCAConfig Copy linkLink copied to clipboard!
GET /v1/cluster-init/ca-config
10.1.3.1. Description Copy linkLink copied to clipboard!
10.1.3.2. Parameters Copy linkLink copied to clipboard!
10.1.3.3. Return Type Copy linkLink copied to clipboard!
10.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.3.6. Samples Copy linkLink copied to clipboard!
10.1.4. GetCRSs Copy linkLink copied to clipboard!
GET /v1/cluster-init/crs
10.1.4.1. Description Copy linkLink copied to clipboard!
10.1.4.2. Parameters Copy linkLink copied to clipboard!
10.1.4.3. Return Type Copy linkLink copied to clipboard!
10.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.4.6. Samples Copy linkLink copied to clipboard!
10.1.5. GetInitBundles Copy linkLink copied to clipboard!
GET /v1/cluster-init/init-bundles
10.1.5.1. Description Copy linkLink copied to clipboard!
10.1.5.2. Parameters Copy linkLink copied to clipboard!
10.1.5.3. Return Type Copy linkLink copied to clipboard!
10.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.5.6. Samples Copy linkLink copied to clipboard!
10.1.6. RevokeCRS Copy linkLink copied to clipboard!
PATCH /v1/cluster-init/crs/revoke
RevokeCRSBundle deletes cluster registration secrets.
10.1.6.1. Description Copy linkLink copied to clipboard!
10.1.6.2. Parameters Copy linkLink copied to clipboard!
10.1.6.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
10.1.6.3. Return Type Copy linkLink copied to clipboard!
10.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.6.6. Samples Copy linkLink copied to clipboard!
10.1.7. RevokeInitBundle Copy linkLink copied to clipboard!
PATCH /v1/cluster-init/init-bundles/revoke
RevokeInitBundle deletes cluster init bundle. If this operation impacts any cluster then its ID should be included in request. If confirm_impacted_clusters_ids does not match with current impacted clusters then request will fail with error that includes all impacted clusters.
10.1.7.1. Description Copy linkLink copied to clipboard!
10.1.7.2. Parameters Copy linkLink copied to clipboard!
10.1.7.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
10.1.7.3. Return Type Copy linkLink copied to clipboard!
10.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
10.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
10.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 11. Clusters Service Copy linkLink copied to clipboard!
11.1. Clusters Service Copy linkLink copied to clipboard!
11.1.1. DeleteCluster Copy linkLink copied to clipboard!
DELETE /v1/clusters/{id}
11.1.1.1. Description Copy linkLink copied to clipboard!
11.1.1.2. Parameters Copy linkLink copied to clipboard!
11.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
11.1.1.3. Return Type Copy linkLink copied to clipboard!
Object
11.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
11.1.1.6. Samples Copy linkLink copied to clipboard!
11.1.2. GetCluster Copy linkLink copied to clipboard!
GET /v1/clusters/{id}
11.1.2.1. Description Copy linkLink copied to clipboard!
11.1.2.2. Parameters Copy linkLink copied to clipboard!
11.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
11.1.2.3. Return Type Copy linkLink copied to clipboard!
11.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.2.6. Samples Copy linkLink copied to clipboard!
11.1.3. GetClusterDefaultValues Copy linkLink copied to clipboard!
GET /v1/cluster-defaults
11.1.3.1. Description Copy linkLink copied to clipboard!
11.1.3.2. Parameters Copy linkLink copied to clipboard!
11.1.3.3. Return Type Copy linkLink copied to clipboard!
11.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.3.6. Samples Copy linkLink copied to clipboard!
11.1.4. GetClusters Copy linkLink copied to clipboard!
GET /v1/clusters
11.1.4.1. Description Copy linkLink copied to clipboard!
11.1.4.2. Parameters Copy linkLink copied to clipboard!
11.1.4.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null |
11.1.4.3. Return Type Copy linkLink copied to clipboard!
11.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.4.6. Samples Copy linkLink copied to clipboard!
11.1.5. GetKernelSupportAvailable Copy linkLink copied to clipboard!
GET /v1/clusters-env/kernel-support-available
GetKernelSupportAvailable is deprecated in favor of GetClusterDefaultValues.
11.1.5.1. Description Copy linkLink copied to clipboard!
11.1.5.2. Parameters Copy linkLink copied to clipboard!
11.1.5.3. Return Type Copy linkLink copied to clipboard!
11.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.5.6. Samples Copy linkLink copied to clipboard!
11.1.6. PostCluster Copy linkLink copied to clipboard!
POST /v1/clusters
11.1.6.1. Description Copy linkLink copied to clipboard!
11.1.6.2. Parameters Copy linkLink copied to clipboard!
11.1.6.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
11.1.6.3. Return Type Copy linkLink copied to clipboard!
11.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.6.6. Samples Copy linkLink copied to clipboard!
11.1.7. PutCluster Copy linkLink copied to clipboard!
PUT /v1/clusters/{id}
11.1.7.1. Description Copy linkLink copied to clipboard!
11.1.7.2. Parameters Copy linkLink copied to clipboard!
11.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
11.1.7.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
11.1.7.3. Return Type Copy linkLink copied to clipboard!
11.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
11.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
11.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 12. Collection Service Copy linkLink copied to clipboard!
12.1. Collection Service Copy linkLink copied to clipboard!
12.1.1. CreateCollection Copy linkLink copied to clipboard!
POST /v1/collections
12.1.1.1. Description Copy linkLink copied to clipboard!
12.1.1.2. Parameters Copy linkLink copied to clipboard!
12.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
12.1.1.3. Return Type Copy linkLink copied to clipboard!
12.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.1.6. Samples Copy linkLink copied to clipboard!
12.1.2. DeleteCollection Copy linkLink copied to clipboard!
DELETE /v1/collections/{id}
12.1.2.1. Description Copy linkLink copied to clipboard!
12.1.2.2. Parameters Copy linkLink copied to clipboard!
12.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
12.1.2.3. Return Type Copy linkLink copied to clipboard!
Object
12.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
12.1.2.6. Samples Copy linkLink copied to clipboard!
12.1.3. DryRunCollection Copy linkLink copied to clipboard!
POST /v1/collections/dryrun
12.1.3.1. Description Copy linkLink copied to clipboard!
12.1.3.2. Parameters Copy linkLink copied to clipboard!
12.1.3.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
12.1.3.3. Return Type Copy linkLink copied to clipboard!
12.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.3.6. Samples Copy linkLink copied to clipboard!
12.1.4. GetCollection Copy linkLink copied to clipboard!
GET /v1/collections/{id}
12.1.4.1. Description Copy linkLink copied to clipboard!
12.1.4.2. Parameters Copy linkLink copied to clipboard!
12.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
12.1.4.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| options.withMatches | - | null | ||
| options.filterQuery.query | - | null | ||
| options.filterQuery.pagination.limit | - | null | ||
| options.filterQuery.pagination.offset | - | null | ||
| options.filterQuery.pagination.sortOption.field | - | null | ||
| options.filterQuery.pagination.sortOption.reversed | - | null | ||
| options.filterQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| options.filterQuery.pagination.sortOption.aggregateBy.distinct | - | null |
12.1.4.3. Return Type Copy linkLink copied to clipboard!
12.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.4.6. Samples Copy linkLink copied to clipboard!
12.1.5. GetCollectionCount Copy linkLink copied to clipboard!
GET /v1/collectionscount
12.1.5.1. Description Copy linkLink copied to clipboard!
12.1.5.2. Parameters Copy linkLink copied to clipboard!
12.1.5.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
12.1.5.3. Return Type Copy linkLink copied to clipboard!
12.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.5.6. Samples Copy linkLink copied to clipboard!
12.1.6. ListCollectionSelectors Copy linkLink copied to clipboard!
GET /v1/collections/selectors
12.1.6.1. Description Copy linkLink copied to clipboard!
12.1.6.2. Parameters Copy linkLink copied to clipboard!
12.1.6.3. Return Type Copy linkLink copied to clipboard!
12.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.6.6. Samples Copy linkLink copied to clipboard!
12.1.7. ListCollections Copy linkLink copied to clipboard!
GET /v1/collections
12.1.7.1. Description Copy linkLink copied to clipboard!
12.1.7.2. Parameters Copy linkLink copied to clipboard!
12.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
12.1.7.3. Return Type Copy linkLink copied to clipboard!
12.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.7.6. Samples Copy linkLink copied to clipboard!
12.1.8. UpdateCollection Copy linkLink copied to clipboard!
PATCH /v1/collections/{id}
12.1.8.1. Description Copy linkLink copied to clipboard!
12.1.8.2. Parameters Copy linkLink copied to clipboard!
12.1.8.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
12.1.8.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
12.1.8.3. Return Type Copy linkLink copied to clipboard!
12.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
12.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
12.1.8.6. Samples Copy linkLink copied to clipboard!
Chapter 13. Compliance Integration Service Copy linkLink copied to clipboard!
13.1. Compliance Integration Service Copy linkLink copied to clipboard!
13.1.1. ListComplianceIntegrations Copy linkLink copied to clipboard!
GET /v2/compliance/integrations
ListComplianceIntegrations lists all the compliance operator metadata for the secured clusters
13.1.1.1. Description Copy linkLink copied to clipboard!
13.1.1.2. Parameters Copy linkLink copied to clipboard!
13.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
13.1.1.3. Return Type Copy linkLink copied to clipboard!
13.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
13.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
13.1.1.6. Samples Copy linkLink copied to clipboard!
Chapter 14. Compliance Management Service Copy linkLink copied to clipboard!
14.1. Compliance Management Service Copy linkLink copied to clipboard!
14.1.1. GetRecentRuns Copy linkLink copied to clipboard!
GET /v1/complianceManagement/runs
14.1.1.1. Description Copy linkLink copied to clipboard!
14.1.1.2. Parameters Copy linkLink copied to clipboard!
14.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | - | null | ||
| standardId | - | null | ||
| since | - | null |
14.1.1.3. Return Type Copy linkLink copied to clipboard!
14.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
14.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
14.1.1.6. Samples Copy linkLink copied to clipboard!
14.1.2. GetRunStatuses Copy linkLink copied to clipboard!
GET /v1/compliancemanagement/runstatuses
14.1.2.1. Description Copy linkLink copied to clipboard!
14.1.2.2. Parameters Copy linkLink copied to clipboard!
14.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| runIds |
| - | null | |
| latest | - | null |
14.1.2.3. Return Type Copy linkLink copied to clipboard!
14.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
14.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
14.1.2.6. Samples Copy linkLink copied to clipboard!
14.1.3. TriggerRuns Copy linkLink copied to clipboard!
POST /v1/compliancemanagement/runs
14.1.3.1. Description Copy linkLink copied to clipboard!
14.1.3.2. Parameters Copy linkLink copied to clipboard!
14.1.3.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
14.1.3.3. Return Type Copy linkLink copied to clipboard!
14.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
14.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
14.1.3.6. Samples Copy linkLink copied to clipboard!
Chapter 15. Compliance Profile Service Copy linkLink copied to clipboard!
15.1. Compliance Profile Service Copy linkLink copied to clipboard!
15.1.1. GetComplianceProfile Copy linkLink copied to clipboard!
GET /v2/compliance/profile/{id}
GetComplianceProfile retrieves the specified compliance profile
15.1.1.1. Description Copy linkLink copied to clipboard!
15.1.1.2. Parameters Copy linkLink copied to clipboard!
15.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
15.1.1.3. Return Type Copy linkLink copied to clipboard!
15.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
15.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
15.1.1.6. Samples Copy linkLink copied to clipboard!
15.1.2. ListComplianceProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/profiles/cluster
ListComplianceProfiles returns profiles matching given request
15.1.2.1. Description Copy linkLink copied to clipboard!
15.1.2.2. Parameters Copy linkLink copied to clipboard!
15.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | - | null | ||
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
15.1.2.3. Return Type Copy linkLink copied to clipboard!
15.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
15.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
15.1.2.6. Samples Copy linkLink copied to clipboard!
15.1.3. ListProfileSummaries Copy linkLink copied to clipboard!
GET /v2/compliance/profiles/summary
ListProfileSummaries returns profiles matching each cluster and the given query
15.1.3.1. Description Copy linkLink copied to clipboard!
15.1.3.2. Parameters Copy linkLink copied to clipboard!
15.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterIds |
| - | null | |
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
15.1.3.3. Return Type Copy linkLink copied to clipboard!
15.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
15.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
15.1.3.6. Samples Copy linkLink copied to clipboard!
Chapter 16. Compliance Results Service Copy linkLink copied to clipboard!
16.1. Compliance Results Service Copy linkLink copied to clipboard!
16.1.1. GetComplianceProfileCheckDetails Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results/profiles/{profileName}/checks/{checkName}/details
GetComplianceProfileCheckDetails
16.1.1.1. Description Copy linkLink copied to clipboard!
16.1.1.2. Parameters Copy linkLink copied to clipboard!
16.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null | ||
| checkName | X | null |
16.1.1.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.1.3. Return Type Copy linkLink copied to clipboard!
16.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.1.6. Samples Copy linkLink copied to clipboard!
16.1.2. GetComplianceProfileCheckResult Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results/profiles/{profileName}/checks/{checkName}
GetComplianceProfileCheckResult lists status of a check per cluster
16.1.2.1. Description Copy linkLink copied to clipboard!
16.1.2.2. Parameters Copy linkLink copied to clipboard!
16.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null | ||
| checkName | X | null |
16.1.2.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.2.3. Return Type Copy linkLink copied to clipboard!
16.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.2.6. Samples Copy linkLink copied to clipboard!
16.1.3. GetComplianceProfileClusterResults Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results/profiles/{profileName}/clusters/{clusterId}
GetComplianceProfileClusterResults lists check results for a specific profile on a specific cluster
16.1.3.1. Description Copy linkLink copied to clipboard!
16.1.3.2. Parameters Copy linkLink copied to clipboard!
16.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null | ||
| clusterId | X | null |
16.1.3.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.3.3. Return Type Copy linkLink copied to clipboard!
16.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.3.6. Samples Copy linkLink copied to clipboard!
16.1.4. GetComplianceProfileResults Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results/profiles/{profileName}/checks
GetComplianceProfileResults retrieves the most recent compliance operator scan results for the specified query Optional RawQuery query fields can be combined.
16.1.4.1. Description Copy linkLink copied to clipboard!
16.1.4.2. Parameters Copy linkLink copied to clipboard!
16.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null |
16.1.4.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.4.3. Return Type Copy linkLink copied to clipboard!
16.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.4.6. Samples Copy linkLink copied to clipboard!
16.1.5. GetComplianceScanCheckResult Copy linkLink copied to clipboard!
GET /v2/compliance/scan/result/{id}
GetComplianceScanCheckResult returns the specific result by ID
16.1.5.1. Description Copy linkLink copied to clipboard!
16.1.5.2. Parameters Copy linkLink copied to clipboard!
16.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
16.1.5.3. Return Type Copy linkLink copied to clipboard!
16.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.5.6. Samples Copy linkLink copied to clipboard!
16.1.6. GetComplianceScanConfigurationResults Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results/{scanConfigName}
GetComplianceScanConfigurationResults retrieves the most recent compliance operator scan results for the specified query Optional RawQuery query fields can be combined.
16.1.6.1. Description Copy linkLink copied to clipboard!
16.1.6.2. Parameters Copy linkLink copied to clipboard!
16.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| scanConfigName | X | null |
16.1.6.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.6.3. Return Type Copy linkLink copied to clipboard!
16.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.6.6. Samples Copy linkLink copied to clipboard!
16.1.7. GetComplianceScanResults Copy linkLink copied to clipboard!
GET /v2/compliance/scan/results
GetComplianceScanResults retrieves the most recent compliance operator scan results for the specified query Optional RawQuery query fields can be combined. Commonly used ones include but are not limited to - scan: id(s) of the compliance scan - cluster: id(s) of the cluster - profile: id(s) of the profile
16.1.7.1. Description Copy linkLink copied to clipboard!
16.1.7.2. Parameters Copy linkLink copied to clipboard!
16.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
16.1.7.3. Return Type Copy linkLink copied to clipboard!
16.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 17. Compliance Results Stats Service Copy linkLink copied to clipboard!
17.1. Compliance Results Stats Service Copy linkLink copied to clipboard!
17.1.1. GetComplianceClusterScanStats Copy linkLink copied to clipboard!
GET /v2/compliance/stats/configurations/clusters/{clusterId}
GetComplianceClusterScanStats lists the current scan stats for a cluster for each scan configuration
17.1.1.1. Description Copy linkLink copied to clipboard!
17.1.1.2. Parameters Copy linkLink copied to clipboard!
17.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null |
17.1.1.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
17.1.1.3. Return Type Copy linkLink copied to clipboard!
17.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.1.6. Samples Copy linkLink copied to clipboard!
17.1.2. GetComplianceClusterStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/profiles/{profileName}/clusters
17.1.2.1. Description Copy linkLink copied to clipboard!
17.1.2.2. Parameters Copy linkLink copied to clipboard!
17.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null |
17.1.2.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
17.1.2.3. Return Type Copy linkLink copied to clipboard!
17.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.2.6. Samples Copy linkLink copied to clipboard!
17.1.3. GetComplianceOverallClusterStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/overall/cluster
Deprecated in favor of GetComplianceClusterStats
17.1.3.1. Description Copy linkLink copied to clipboard!
17.1.3.2. Parameters Copy linkLink copied to clipboard!
17.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
17.1.3.3. Return Type Copy linkLink copied to clipboard!
17.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.3.6. Samples Copy linkLink copied to clipboard!
17.1.4. GetComplianceProfileCheckStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/profiles/{profileName}/checks/{checkName}
GetComplianceProfileCheckStats lists current stats for a specific cluster check
17.1.4.1. Description Copy linkLink copied to clipboard!
17.1.4.2. Parameters Copy linkLink copied to clipboard!
17.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null | ||
| checkName | X | null |
17.1.4.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
17.1.4.3. Return Type Copy linkLink copied to clipboard!
17.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.4.6. Samples Copy linkLink copied to clipboard!
17.1.5. GetComplianceProfileStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/profiles/{profileName}
GetComplianceProfileStats lists current scan stats grouped by profile Optional RawQuery query fields can be combined. Commonly used ones include but are not limited to - scan: id(s) of the compliance scan - cluster: id(s) of the cluster - profile: id(s) of the profile
17.1.5.1. Description Copy linkLink copied to clipboard!
17.1.5.2. Parameters Copy linkLink copied to clipboard!
17.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| profileName | X | null |
17.1.5.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
17.1.5.3. Return Type Copy linkLink copied to clipboard!
17.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.5.6. Samples Copy linkLink copied to clipboard!
17.1.6. GetComplianceProfilesClusterStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/profiles/clusters/{clusterId}
GetComplianceProfilesClusterStats lists cluster stats grouped by profile
17.1.6.1. Description Copy linkLink copied to clipboard!
17.1.6.2. Parameters Copy linkLink copied to clipboard!
17.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null |
17.1.6.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
17.1.6.3. Return Type Copy linkLink copied to clipboard!
17.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.6.6. Samples Copy linkLink copied to clipboard!
17.1.7. GetComplianceProfilesStats Copy linkLink copied to clipboard!
GET /v2/compliance/scan/stats/profiles
GetComplianceProfileScanStats lists current scan stats grouped by profile Optional RawQuery query fields can be combined. Commonly used ones include but are not limited to - scan: id(s) of the compliance scan - cluster: id(s) of the cluster - profile: id(s) of the profile
17.1.7.1. Description Copy linkLink copied to clipboard!
17.1.7.2. Parameters Copy linkLink copied to clipboard!
17.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
17.1.7.3. Return Type Copy linkLink copied to clipboard!
17.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
17.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
17.1.7.6. Samples Copy linkLink copied to clipboard!
Chapter 18. Compliance Rule Service Copy linkLink copied to clipboard!
18.1. Compliance Rule Service Copy linkLink copied to clipboard!
18.1.1. GetComplianceRule Copy linkLink copied to clipboard!
GET /v2/compliance/rule/summary/{ruleName}
GetComplianceRule returns rule matching given request
18.1.1.1. Description Copy linkLink copied to clipboard!
18.1.1.2. Parameters Copy linkLink copied to clipboard!
18.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| ruleName | X | null |
18.1.1.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
18.1.1.3. Return Type Copy linkLink copied to clipboard!
18.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
18.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
18.1.1.6. Samples Copy linkLink copied to clipboard!
Chapter 19. Compliance Scan Configuration Service Copy linkLink copied to clipboard!
19.1. Compliance Scan Configuration Service Copy linkLink copied to clipboard!
19.1.1. CreateComplianceScanConfiguration Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations
CreateComplianceScanConfiguration creates a compliance scan configuration
19.1.1.1. Description Copy linkLink copied to clipboard!
19.1.1.2. Parameters Copy linkLink copied to clipboard!
19.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
19.1.1.3. Return Type Copy linkLink copied to clipboard!
19.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.1.6. Samples Copy linkLink copied to clipboard!
19.1.2. DeleteComplianceScanConfiguration Copy linkLink copied to clipboard!
DELETE /v2/compliance/scan/configurations/{id}
DeleteComplianceScanConfiguration removes the compliance scan configuration with given Name
19.1.2.1. Description Copy linkLink copied to clipboard!
19.1.2.2. Parameters Copy linkLink copied to clipboard!
19.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.2.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.2.6. Samples Copy linkLink copied to clipboard!
19.1.3. DeleteReport Copy linkLink copied to clipboard!
DELETE /v2/compliance/scan/configurations/reports/{id}
DeleteReport deletes a given snapshot (scan execution).
19.1.3.1. Description Copy linkLink copied to clipboard!
19.1.3.2. Parameters Copy linkLink copied to clipboard!
19.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.3.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.3.6. Samples Copy linkLink copied to clipboard!
19.1.4. GetComplianceScanConfiguration Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}
GetComplianceScanConfiguration retrieves the specified compliance scan configurations
19.1.4.1. Description Copy linkLink copied to clipboard!
19.1.4.2. Parameters Copy linkLink copied to clipboard!
19.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.4.3. Return Type Copy linkLink copied to clipboard!
19.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.4.6. Samples Copy linkLink copied to clipboard!
19.1.5. GetMyReportHistory Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}/reports/my-history
GetMyReportHistory returns a list of snapshots (scan executions) executed by the current user from a given scan configuration.
19.1.5.1. Description Copy linkLink copied to clipboard!
19.1.5.2. Parameters Copy linkLink copied to clipboard!
19.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.5.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.5.3. Return Type Copy linkLink copied to clipboard!
19.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.5.6. Samples Copy linkLink copied to clipboard!
19.1.6. GetReportHistory Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}/reports/history
GetReportHistory returns a list of snapshots (scan executions) from a given scan configuration.
19.1.6.1. Description Copy linkLink copied to clipboard!
19.1.6.2. Parameters Copy linkLink copied to clipboard!
19.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.6.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.6.3. Return Type Copy linkLink copied to clipboard!
19.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.6.6. Samples Copy linkLink copied to clipboard!
19.1.7. ListComplianceScanConfigClusterProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/clusters/{clusterId}/profiles/collection
GetComplianceScanConfiguration retrieves the specified compliance scan configurations
19.1.7.1. Description Copy linkLink copied to clipboard!
19.1.7.2. Parameters Copy linkLink copied to clipboard!
19.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null |
19.1.7.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.7.3. Return Type Copy linkLink copied to clipboard!
19.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.7.6. Samples Copy linkLink copied to clipboard!
19.1.8. ListComplianceScanConfigProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/profiles/collection
ListComplianceScanConfigurations lists all the compliance operator scan configurations for the secured clusters
19.1.8.1. Description Copy linkLink copied to clipboard!
19.1.8.2. Parameters Copy linkLink copied to clipboard!
19.1.8.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
19.1.8.3. Return Type Copy linkLink copied to clipboard!
19.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.8.6. Samples Copy linkLink copied to clipboard!
19.1.9. ListComplianceScanConfigurations Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations
ListComplianceScanConfigurations lists all the compliance operator scan configurations for the secured clusters
19.1.9.1. Description Copy linkLink copied to clipboard!
19.1.9.2. Parameters Copy linkLink copied to clipboard!
19.1.9.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
19.1.9.3. Return Type Copy linkLink copied to clipboard!
19.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.9.6. Samples Copy linkLink copied to clipboard!
19.1.10. RunComplianceScanConfiguration Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations/{id}/run
RunComplianceScanConfiguration launches scan for the specified scan configuration, which will invoke scans to run for the applicable profiles across the configured clusters.
19.1.10.1. Description Copy linkLink copied to clipboard!
19.1.10.2. Parameters Copy linkLink copied to clipboard!
19.1.10.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.10.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.10.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.10.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.10.6. Samples Copy linkLink copied to clipboard!
19.1.11. RunReport Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations/reports/run
RunReport runs an on demand compliance report for the scan configuration
19.1.11.1. Description Copy linkLink copied to clipboard!
19.1.11.2. Parameters Copy linkLink copied to clipboard!
19.1.11.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
19.1.11.3. Return Type Copy linkLink copied to clipboard!
19.1.11.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.11.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.11.6. Samples Copy linkLink copied to clipboard!
19.1.12. UpdateComplianceScanConfiguration Copy linkLink copied to clipboard!
PUT /v2/compliance/scan/configurations/{id}
UpdateComplianceScanConfiguration updates a compliance scan configuration
19.1.12.1. Description Copy linkLink copied to clipboard!
19.1.12.2. Parameters Copy linkLink copied to clipboard!
19.1.12.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.12.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | ComplianceScanConfigurationServiceUpdateComplianceScanConfigurationBody | X |
19.1.12.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.12.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.12.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.12.6. Samples Copy linkLink copied to clipboard!
Chapter 20. Compliance Service Copy linkLink copied to clipboard!
20.1. Compliance Service Copy linkLink copied to clipboard!
20.1.1. GetAggregatedResults Copy linkLink copied to clipboard!
GET /v1/compliance/aggregatedresults
20.1.1.1. Description Copy linkLink copied to clipboard!
20.1.1.2. Parameters Copy linkLink copied to clipboard!
20.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| groupBy |
| - | null | |
| unit | - | UNKNOWN | ||
| where.query | - | null | ||
| where.pagination.limit | - | null | ||
| where.pagination.offset | - | null | ||
| where.pagination.sortOption.field | - | null | ||
| where.pagination.sortOption.reversed | - | null | ||
| where.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| where.pagination.sortOption.aggregateBy.distinct | - | null |
20.1.1.3. Return Type Copy linkLink copied to clipboard!
20.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
20.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
20.1.1.6. Samples Copy linkLink copied to clipboard!
20.1.2. GetRunResults Copy linkLink copied to clipboard!
GET /v1/compliance/runresults
20.1.2.1. Description Copy linkLink copied to clipboard!
20.1.2.2. Parameters Copy linkLink copied to clipboard!
20.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | - | null | ||
| standardId | - | null | ||
[...]
